> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Reference on Asset Type

> Partially update a reference on an asset type. Can only modify ext_ references on system asset types without system_entity_type_update permission.



## OpenAPI

````yaml /api/openapi.yaml patch /v1/asset_types/{assetTypeIdOrName}/references/{referenceName}
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/asset_types/{assetTypeIdOrName}/references/{referenceName}:
    patch:
      tags:
        - Asset Types
      summary: Update Reference on Asset Type
      description: >-
        Partially update a reference on an asset type. Can only modify ext_
        references on system asset types without system_entity_type_update
        permission.
      parameters:
        - schema:
            type: string
          in: path
          name: assetTypeIdOrName
          required: true
          description: Asset type ID (UUID) or name (e.g., system.configuration)
        - schema:
            type: string
          in: path
          name: referenceName
          required: true
          description: Reference name
      requestBody:
        $ref: >-
          #/components/requestBodies/patch_v1_asset_types__assetTypeIdOrName__references__referenceName__request
      responses:
        '200':
          $ref: '#/components/responses/AddReferencetoAssetTypeResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  requestBodies:
    patch_v1_asset_types__assetTypeIdOrName__references__referenceName__request:
      required: true
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/patch_v1_asset_types__assetTypeIdOrName__references__referenceName__request_application_json
  responses:
    AddReferencetoAssetTypeResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/AddReferencetoAssetTypeResponse_application_json
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    patch_v1_asset_types__assetTypeIdOrName__references__referenceName__request_application_json:
      type: object
      properties:
        display_name:
          type: string
        required:
          type: boolean
        multiple:
          type: boolean
        target_asset_types:
          type: array
          items:
            type: string
    AddReferencetoAssetTypeResponse_application_json:
      type: object
      properties:
        name:
          type: string
          description: Reference name
        display_name:
          type: string
          description: Display name for UI
        description:
          type: string
          description: Reference description
        required:
          type: boolean
          description: Whether this reference is required
        multiple:
          type: boolean
          description: Whether multiple references are allowed
        target_asset_types:
          type: array
          items:
            type: string
          description: Target asset type names
      required:
        - name
        - display_name
        - required
        - multiple
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````